#include <Arduino.h>
//#include <SoftwareSerial.h>
#include <ArduinoJson.h>

const int analogPin1 = A0; 
const int analogPin2 = A1; 

const int numReadings = 32; 
const int updateInterval = 500; 

//SoftwareSerial serial(2, 3); // RX, TX

void setup() {
  analogReference(INTERNAL);
  pinMode(analogPin1, INPUT);
  pinMode(analogPin2, INPUT);

  Serial.begin(115200);
}

void loop() {
  static float readings1[numReadings];
  static float readings2[numReadings];

  float average1 = 0;
  float average2 = 0;
  for (int i = 0; i < numReadings; i++) {
    readings1[i] = analogRead(analogPin1);
    readings2[i] = analogRead(analogPin2);
    average1 += readings1[i];
    average2 += readings2[i];
    delay(2);
  }
  average1 /= numReadings;
  average2 /= numReadings;


  StaticJsonDocument<128> jsonDoc;
  jsonDoc["Modul1"] = average1;
  jsonDoc["Modul2"] = average2;


  String jsonString;
  serializeJson(jsonDoc, jsonString);


  Serial.println(jsonString);

  delay(updateInterval);
}
